# Class AbAttr`Abstract`

#### Hierarchy (view full)

- AbAttr
  - BlockRecoilDamageAttr
  - DoubleBattleChanceAbAttr
  - PostBattleInitAbAttr
  - PreDefendAbAttr
  - BlockItemTheftAbAttr
  - StabBoostAbAttr
  - PostDefendAbAttr
  - PostStatChangeAbAttr
  - PreAttackAbAttr
  - FieldPreventExplosiveMovesAbAttr
  - FieldVariableMovePowerAbAttr
  - BattleStatMultiplierAbAttr
  - PostAttackAbAttr
  - PostVictoryAbAttr
  - PostKnockOutAbAttr
  - IgnoreOpponentStatChangesAbAttr
  - IgnoreOpponentEvasionAbAttr
  - IntimidateImmunityAbAttr
  - PostIntimidateStatChangeAbAttr
  - PostSummonAbAttr
  - PreSwitchOutAbAttr
  - PreStatChangeAbAttr
  - PreSetStatusAbAttr
  - PreApplyBattlerTagAbAttr
  - BlockCritAbAttr
  - BonusCritAbAttr
  - MultCritAbAttr
  - ConditionalCritAbAttr
  - BlockNonDirectDamageAbAttr
  - BlockOneHitKOAbAttr
  - IncrementMovePriorityAbAttr
  - IgnoreContactAbAttr
  - PreWeatherEffectAbAttr
  - PostWeatherChangeAbAttr
  - PostWeatherLapseAbAttr
  - PostTerrainChangeAbAttr
  - PostTurnAbAttr
  - PostBiomeChangeAbAttr
  - PostMoveUsedAbAttr
  - StatChangeMultiplierAbAttr
  - StatChangeCopyAbAttr
  - BypassBurnDamageReductionAbAttr
  - DoubleBerryEffectAbAttr
  - PreventBerryUseAbAttr
  - HealFromBerryUseAbAttr
  - RunSuccessAbAttr
  - CheckTrappedAbAttr
  - MaxMultiHitAbAttr
  - PostBattleAbAttr
  - PostFaintAbAttr
  - RedirectMoveAbAttr
  - BlockRedirectAbAttr
  - ReduceStatusEffectDurationAbAttr
  - FlinchEffectAbAttr
  - IncreasePpAbAttr
  - ForceSwitchOutImmunityAbAttr
  - ReduceBerryUseThresholdAbAttr
  - WeightMultiplierAbAttr
  - SyncEncounterNatureAbAttr
  - MoveAbilityBypassAbAttr
  - SuppressFieldAbilitiesAbAttr
  - AlwaysHitAbAttr
  - UncopiableAbilityAbAttr
  - UnsuppressableAbilityAbAttr
  - UnswappableAbilityAbAttr
  - NoTransformAbilityAbAttr
  - NoFusionAbilityAbAttr
  - IgnoreTypeImmunityAbAttr
  - IgnoreTypeStatusEffectImmunityAbAttr

- Defined in src/data/ability.ts:125

#####
Index

### Constructors

constructor

### Properties

extraCondition
showAbility

### Methods

addCondition
apply
getCondition
getTriggerMessage

## Constructors

### constructor

- new AbAttr(showAbility?): AbAttr

- #### Parameters

  - showAbility: boolean = true

  #### Returns AbAttr

  - Defined in src/data/ability.ts:129

## Properties

### `Private` extraCondition

extraCondition: AbAttrCondition

- Defined in src/data/ability.ts:127

### showAbility

showAbility: boolean

- Defined in src/data/ability.ts:126

## Methods

### addCondition

- addCondition(condition): AbAttr

- #### Parameters

  - condition: AbAttrCondition

  #### Returns AbAttr

  - Defined in src/data/ability.ts:145

### apply

- apply(pokemon, passive, cancelled, args): boolean | Promise<boolean>

- #### Parameters

  - pokemon: default
  - passive: boolean
  - cancelled: BooleanHolder
  - args: any[]

  #### Returns boolean | Promise<boolean>

  - Defined in src/data/ability.ts:133

### getCondition

- getCondition(): AbAttrCondition

- #### Returns AbAttrCondition

  - Defined in src/data/ability.ts:141

### getTriggerMessage

- getTriggerMessage(pokemon, abilityName, ...args): string

- #### Parameters

  - pokemon: default
  - abilityName: string
  - `Rest` ...args: any[]

  #### Returns string

  - Defined in src/data/ability.ts:137